For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Home
    • API Basics
  • Products
    • Global Fiat Payouts
    • On-Ramps and Off-Ramps
  • Integration Guides
    • Global payouts integration guide
    • Country-specific details
  • API Reference
      • GETList Transfers
      • POSTCreate a Transfer
      • GETRetrieve a Transfer
LogoLogo
API ReferenceTransfers

Create a Transfer

POST
https://api.latitude.xyz/v1/transfers
POST
/v1/transfers
$curl -X POST https://api.latitude.xyz/v1/transfers \
> -H "Content-Type: application/json" \
> -d '{
> "source_currency": "USD",
> "destination_currency": "MXN",
> "financial_account_id": "fa_1234567890abcdef",
> "payout_method": "ach"
>}'
201Created
1{
2 "id": "tr_9876543210fedcba",
3 "client_reference_id": "order_20240615_001",
4 "source_amount": "100000",
5 "source_currency": "USD",
6 "destination_amount": "2000000",
7 "destination_currency": "MXN",
8 "exchange_rate": "20.00",
9 "recipient_id": "rcp_abcdef1234567890",
10 "financial_account_id": "fa_1234567890abcdef",
11 "payout_method": "ach",
12 "status": "pending",
13 "total_fee": "500",
14 "fee_currency": "USD",
15 "total_tax": "50",
16 "tax_currency": "USD",
17 "net_source_amount": "99500",
18 "completed_in": "0",
19 "created_at": "2024-01-15T09:30:00Z",
20 "updated_at": "2024-01-15T09:30:00Z",
21 "failure_reason": "",
22 "settlement_reference_id": "settle_20240115_001",
23 "deposit_instructions": {
24 "type": "ach",
25 "currency": "usd",
26 "payment_methods": [
27 "ach"
28 ],
29 "details": {},
30 "deadline": "2024-01-15T15:30:00Z"
31 }
32}
Creates a new transfer with the provided details or from a quote
Was this page helpful?
Previous

Retrieve a Transfer

Next
Built with

Request

This endpoint expects an object.
source_currencyenumRequired

Currency code of the source amount (e.g., USD)

Allowed values:
destination_currencyenumRequired

Currency code of the destination amount (e.g., EUR)

financial_account_idstringRequired
ID of the financial account to receive the transfer
payout_methodenumRequired

Method of payout (e.g., ach, pix, spei, wire)

quote_idstringOptional

Quote ID to create transfer from (alternative to providing all fields)

source_typeenumOptionalDefaults to prefunded
Type of source account
Allowed values:
client_reference_idstringOptional
Your unique identifier for this transfer. Use this to correlate transfers with records in your own system. Maximum 64 characters.
source_amountstringOptional

Amount to send in source currency (in smallest currency unit)

destination_amountstringOptional

Desired amount to receive in destination currency (in smallest currency unit)

net_source_amountstringOptional

The net amount after fees (fees will be added on top)

source_networkenumOptional

Blockchain network of the source currency (e.g., base)

Allowed values:

Response

Create a Transfer
idstring
Unique identifier for the transfer
client_reference_idstring
Reference ID for the transfer
source_amountstring
Amount of the source currency
source_currencyenum
Currency of the source amount
Allowed values:
destination_amountstring
Amount of the destination currency
destination_currencyenum
Currency of the destination amount
exchange_ratestring
Exchange rate for the transfer
recipient_idstring
Unique identifier for the recipient
financial_account_idstring
Unique identifier for the financial account
payout_methodenum
Method of payout
statusenum
Current status of the transfer
total_feestring
Total fee for the transfer
fee_currencystring
Currency of the total fee
total_taxstring
Total tax for the transfer
tax_currencystring
Currency of the total tax
net_source_amountstring
Net amount of the source currency after fees
completed_instring
Time taken to complete the transfer in seconds
created_atstringformat: "date-time"
ISO8601 timestamp when the transfer was created
updated_atstringformat: "date-time"
ISO8601 timestamp when the transfer was last updated
failure_reasonstring
Reason for the transfer failure
settlement_reference_idstring
Reference ID for the settlement
deposit_instructionsobject
Present when the transfer is awaiting funding.